Bug 182147 - Krunner calculator doesn't give The Awnser to life, the universe, and everything(42)
Summary: Krunner calculator doesn't give The Awnser to life, the universe, and everyt...
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-28 11:17 UTC by David Mills
Modified: 2009-08-16 19:04 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to impliment desired functionality (602 bytes, patch)
2009-01-28 11:19 UTC, David Mills
Details
Universe answer (11.26 KB, image/png)
2009-03-31 10:22 UTC, Anne-Marie Mahfouf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Mills 2009-01-28 11:17:48 UTC
Version:            (using Devel)
Compiler:          gcc 4.3.2 
OS:                Linux
Installed from:    Compiled sources

The krunner calculator doesn't give the most important awnser of all: 42
Comment 1 David Mills 2009-01-28 11:19:10 UTC
Created attachment 30671 [details]
Patch to impliment desired functionality

This is a patch ageinst SVN HEAD (trunk) to make krunner behave as expected (hey, esters comming up, we need some eggs ;) )
Comment 2 Karthik Periagaram 2009-02-17 11:58:22 UTC
I do hope this makes it into the next official release...(4.2.1?).
Comment 3 David Mills 2009-03-31 10:04:41 UTC
OK, Ive just read a blog post by asiego, and I'm wondering if this patch is being ignored because of the "no hacks for non-critical things" act.

Also is this the right place for patches now? or should this go into the review board?
Comment 4 Anne-Marie Mahfouf 2009-03-31 10:21:29 UTC
Implemented in trunk, coming 4.3
See attached screenshot.
Comment 5 Anne-Marie Mahfouf 2009-03-31 10:22:28 UTC
Created attachment 32495 [details]
Universe answer

IN fact now the answer should be 43 probably
Comment 6 esigra 2009-03-31 10:23:27 UTC
(In reply to comment #4)
> Implemented in trunk, coming 4.3
> See attached screenshot.

Is this not a day too early?
Comment 7 Anne-Marie Mahfouf 2009-03-31 10:29:14 UTC
@esigra: I don't understand your question, can you explain please
Comment 8 David Mills 2009-04-01 10:13:53 UTC
I think esigra ment that this was an April fools, which it obviously isn't since this works in my KDE too (just not in the exact way I was looking for, which is why I didn't notice).
Comment 9 FiNeX 2009-08-16 18:56:26 UTC
Anyway this "egg" has been implemented. "universe" give the right answer: "42" :-)

This wish should be closed :-)
Comment 10 Dario Andres 2009-08-16 19:04:21 UTC
Closing then...